Subject: Re: [P2PSIP] WGLC for draft-ietf-p2psip-share-04

From: Emmanuel Baccelli <[email-masked]>
Date: Tue, 21 Apr 2015 10:40:34 +0200

Hi Alissa,

if it is not too late: I am currently reviewing the document. ETA early
next week.
Sorry for the delay. Is that alright with you?

Best,

Emmanuel

---

From: Alissa Cooper <[email-masked]>
Date: Tue, 21 Apr 2015 12:08:19 -0700

Yes, that’s fine, thanks.
Alissa

On Apr 21, 2015, at 1:40 AM, Emmanuel Baccelli <[email-masked]> wrote:

> 
> Hi Alissa,
> 
> if it is not too late: I am currently reviewing the document. ETA early next week.
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip

---

From: Emmanuel Baccelli <[email-masked]>
Date: Thu, 23 Apr 2015 12:03:11 +0200

Hi Alissa, Hi WG,

I have reviewed draft-ietf-p2psip-share-05, and here are my comments.

General comments:
in my opinion the draft is in good shape and reads well. I have a few nits
and editorial suggestions detailed below. I believe these can be addressed
quite easily with a quick resubmission and my impression is the doc is
ready to go.

Detailed comments:

in Section 1: refer to RFC6940 (and which section, if applicable) the first
time specific terms are used such as "RELOAD Usage" or "RELOAD security
model". Spoiler: I will have a lot of such comments below ;)

in Section 2: for reader convenience, I suggest listing the key terms
(without recalling their definitions) imported from RFC6940, and the
p2psip-concepts
draft in the paragraph right after the 2119 boilerplate.

in Section 3.1: in step 3, I suggest being explicit that the 8bit part is a
suffix (least significant bits)

in Section 4.1:
- "...Alice is also granted (limited) write access..."
Either explain what "limited" means here, or remove this adjective.

- "Note that overwriting existing items in an Access Control List that
reference a    different Kind-ID..."
Clarify: different from what? I suppose you mean that the overwrite results
in changing the Kind-ID

- "The Resource Owner is allowed to overwrite any existing ACL item, but
should be aware of its consequences."
Either quickly explain / give examples of consequences or remove this
sentence.

in Section 5.1:  "The specifications in this document scheme adhere to this
paradigm...".
add reference to RFC6940 (and the exact section). It will help readers
grasp quicker what draft-ietf-p2psip-share specification adds here.

in Section 6.1:
- first sentence "Write access ... solely be issued by the Resource Owner."
rephrase needed (confusing as readers already know that delegation is
possible).

- "... stored in the numerical order... starting with the index of the root
item...".
I have a (stupid) question: What if the Node-ID of the an authorized peer
with ad=1 has a node-ID that is numerically smaller that that of the owner?
I suggest rephrasing in order to clarify this corner case, just to make
sure no one is confused?

in Section 6.5: Step 1. reference "as per RFC 6940 Section X.Y."

in Section 6.6: Because it is possible here, I would have preferred to see
the last 2 paragraphs written in steps + pseudo-code style if...else..else.
But that's a matter of taste.

Best,

Emmanuel

---

From: "Thomas C. Schmidt" <[email-masked]>
Date: Thu, 23 Apr 2015 12:09:26 +0200

Hi Emmanuel,

many thanks!

We'll fix the issues and resubmit during the next few days.

Best wishes,

  thomas

On 23.04.2015 12:03, Emmanuel Baccelli wrote:
> in my opinion the draft is in good shape and reads well. I have a few
> nits and editorial suggestions detailed below. I believe these can be
> addressed quite easily with a quick resubmission and my impression is
> the doc is ready to go.
>
>
> Detailed comments:
>
> in Section 1: refer to RFC6940 (and which section, if applicable) the
> first time specific terms are used such as "RELOAD Usage" or "RELOAD
> security model". Spoiler: I will have a lot of such comments below ;)
>
> p2psip-concepts draft in the paragraph right after the 2119 boilerplate.
>
> in Section 3.1: in step 3, I suggest being explicit that the 8bit part
> is a suffix (least significant bits)
>
> in Section 4.1:
> Clarify: different from what? I suppose you mean that the overwrite
> results in changing the Kind-ID
>
> in Section 5.1:  "The specifications in this document scheme adhere to
> this paradigm...".
> - "... stored in the numerical order... starting with the index of the
> root item...".
> I have a (stupid) question: What if the Node-ID of the an authorized
> peer with ad=1 has a node-ID that is numerically smaller that that of
> the owner?
> in Section 6.6: Because it is possible here, I would have preferred to
> see the last 2 paragraphs written in steps + pseudo-code style
> if...else..else. But that's a matter of taste.
>
>
> Best,
>
> Emmanuel
>
>
>
>
> On Tue, Apr 21, 2015 at 9:08 PM, Alissa Cooper <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     On Apr 21, 2015, at 1:40 AM, Emmanuel Baccelli
>     <[email-masked] <mailto:[email-masked]>> wrote:
>
>     >
>     > Hi Alissa,
>     >
>     >[email-masked] <mailto:[email-masked]>

-- 

Prof. Dr. Thomas C. Schmidt
° Hamburg University of Applied Sciences                   Berliner Tor 7 °
° Dept. Informatik, Internet Technologies Group    20099 Hamburg, Germany °
° http://www.haw-hamburg.de/inet                   Fon: +49-40-42875-8452 °
° http://www.informatik.haw-hamburg.de/~schmidt    Fax: +49-40-42875-8409 °